## com.imcode.imcms.flow
Class CreateDocumentPageFlow

    java.lang.Object
      com.imcode.imcms.flow.PageFlow
          com.imcode.imcms.flow.DocumentPageFlow
              com.imcode.imcms.flow.CreateDocumentPageFlow

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

Direct Known Subclasses:
  CreateDocumentWithEditPageFlow, CreateTextDocumentPageFlow

    public abstract class CreateDocumentPageFlow

extends DocumentPageFlow

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.imcode.imcms.flow.DocumentPageFlow
`DocumentPageFlow.SaveDocumentCommand`

Field Summary
`protected EditDocumentInformationPageFlow` `editDocumentInformationPageFlow`

Fields inherited from class com.imcode.imcms.flow.DocumentPageFlow
`saveDocumentCommand`

Fields inherited from class com.imcode.imcms.flow.PageFlow
`REQUEST_ATTRIBUTE_OR_PARAMETER__FLOW, REQUEST_PARAMETER__CANCEL_BUTTON, REQUEST_PARAMETER__OK_BUTTON, REQUEST_PARAMETER__PAGE, returnCommand`

Constructor Summary
`protected` `CreateDocumentPageFlow(DocumentDomainObject document, DispatchCommand returnCommand, DocumentPageFlow.SaveDocumentCommand saveDocumentCommand)`

Method Summary
`protected abstract void` `dispatchFromEditPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String page)`
`protected void` `dispatchFromPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String page)`
`protected void` `dispatchOk(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String page)`
`protected abstract void` `dispatchOkFromDocumentInformation(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract void` `dispatchOkFromEditPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchToFirstPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`DocumentDomainObject` `getDocument()`

Methods inherited from class com.imcode.imcms.flow.DocumentPageFlow
`fromRequest, saveDocument, saveDocumentAndReturn`

Methods inherited from class com.imcode.imcms.flow.PageFlow
`dispatch, dispatchReturn, getSessionAttributeName, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editDocumentInformationPageFlow

    protected EditDocumentInformationPageFlow editDocumentInformationPageFlow

Constructor Detail

### CreateDocumentPageFlow

    protected CreateDocumentPageFlow(DocumentDomainObject document,
                                     DispatchCommand returnCommand,
                                     DocumentPageFlow.SaveDocumentCommand saveDocumentCommand)

Method Detail

### dispatchToFirstPage

    protected void dispatchToFirstPage(javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response)
                                throws java.io.IOException,
                                       javax.servlet.ServletException

  Specified by:
    `dispatchToFirstPage` in class `PageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getDocument

    public DocumentDomainObject getDocument()

  Specified by:
    `getDocument` in class `DocumentPageFlow`

### dispatchFromPage

    protected void dispatchFromPage(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    java.lang.String page)
                             throws java.io.IOException,
                                    javax.servlet.ServletException

  Specified by:
    `dispatchFromPage` in class `PageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOk

    protected void dispatchOk(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response,
                              java.lang.String page)
                       throws java.io.IOException,
                              javax.servlet.ServletException

  Specified by:
    `dispatchOk` in class `PageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchFromEditPage

    protected abstract void dispatchFromEditPage(javax.servlet.http.HttpServletRequest request,
                                                 javax.servlet.http.HttpServletResponse response,
                                                 java.lang.String page)
                                          throws java.io.IOException,
                                                 javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOkFromEditPage

    protected abstract void dispatchOkFromEditPage(javax.servlet.http.HttpServletRequest request,
                                                   javax.servlet.http.HttpServletResponse response)
                                            throws java.io.IOException,
                                                   javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOkFromDocumentInformation

    protected abstract void dispatchOkFromDocumentInformation(javax.servlet.http.HttpServletRequest request,
                                                              javax.servlet.http.HttpServletResponse response)
                                                       throws java.io.IOException,
                                                              javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`